<?php
/*
License: Copyright 2012-2013 Jose Kost
*/

if ( !defined('ABSPATH') )
die('-1');

global $MTW_font_accroche;

class MagicTextWidget extends WP_Widget {
function __construct() {
		parent::__construct(
			'magictextwidget', // Base ID
			'Magic Text Widget', // Widget Name
			array(
				'classname' => 'MagicTextWidget', // avant MagciTextWidget
				'description' => 'Un widget qui vous évite d\'écrire en code : pour enrichir texte, image, lien et créer vos bannières d\'appel à l\'action',
			),
			array(
				'width' => 430,
				'height' => 800
			)
		);
		add_action('wp_enqueue_scripts', array(&$this, 'MTW_google_widget_webfont'));
}
function widget($args, $instance){
global $MTW_font_accroche;extract($args);
$title = apply_filters('widget_title', empty($instance['title']) ? '' : $instance['title']);
$MTW_hexa_accroche = empty($instance['MTW_hexa_accroche']) ? '' : $instance['MTW_hexa_accroche'];
$MTW_font_accroche = empty($instance['MTW_font_accroche']) ? '' : $instance['MTW_font_accroche'];
$MTW_taille_accroche = empty($instance['MTW_taille_accroche']) ? 20 : $instance['MTW_taille_accroche'];
$MTW_letterspacing_titre = empty($instance['MTW_letterspacing_titre']) ? 0 : $instance['MTW_letterspacing_titre'];
$MTW_graisse_accroche = empty($instance['MTW_graisse_accroche']) ? '' : $instance['MTW_graisse_accroche'];
$MTW_lineheight_accroche = empty($instance['MTW_lineheight_accroche']) ? 20 : $instance['MTW_lineheight_accroche'];
$MTW_align_accroche = empty($instance['MTW_align_accroche']) ? '' : $instance['MTW_align_accroche'];
$MTW_topaccroche = empty($instance['MTW_topaccroche']) ? 0 : $instance['MTW_topaccroche'];
$MTW_bottomtaccroche = empty($instance['MTW_bottomtaccroche']) ? 0 : $instance['MTW_bottomtaccroche'];
$MTW_image = empty($instance['MTW_image']) ? '' : $instance['MTW_image'];
$MTW_image_top = empty($instance['MTW_image_top']) ? 0 : $instance['MTW_image_top'];
$MTW_image_bottom = empty($instance['MTW_image_bottom']) ? 0 : $instance['MTW_image_bottom'];
$MTW_hexa_texte = empty($instance['MTW_hexa_texte']) ? '' : $instance['MTW_hexa_texte'];
$MTW_font_texte = empty($instance['MTW_font_texte']) ? '' : $instance['MTW_font_texte'];
$MTW_linetext = empty($instance['MTW_linetext']) ? '' : $instance['MTW_linetext'];
$MTW_taille_texte = empty($instance['MTW_taille_texte']) ? '' : $instance['MTW_taille_texte'];
$MTW_graisse_text = empty($instance['MTW_graisse_text']) ? '' : $instance['MTW_graisse_text'];
$MTW_align_text = empty($instance['MTW_align_text']) ? '' : $instance['MTW_align_text'];
$MTW_toptext = empty($instance['MTW_toptext']) ? 0 : $instance['MTW_toptext'];
$MTW_bottomtext = empty($instance['MTW_bottomtext']) ? 0 : $instance['MTW_bottomtext'];
$MTW_redir_link = empty($instance['MTW_redir_link']) ? '' : $instance['MTW_redir_link'];
$MTW_title_link = empty($instance['MTW_title_link']) ? '' : $instance['MTW_title_link'];
$MTW_target_link = empty($instance['MTW_target_link']) ? '' : $instance['MTW_target_link'];
$MTW_color_calltoaction = empty($instance['MTW_color_calltoaction']) ? '' : $instance['MTW_color_calltoaction'];
$MTW_max_width_calltoaction = empty($instance['MTW_max_width_calltoaction']) ? 100 : $instance['MTW_max_width_calltoaction'];
$MTW_text_calltoaction = empty($instance['MTW_text_calltoaction']) ? '' : $instance['MTW_text_calltoaction'];
$MTW_font_calltoaction = empty($instance['MTW_font_calltoaction']) ? '' : $instance['MTW_font_calltoaction'];
$MTW_taille_calltoaction = empty($instance['MTW_taille_calltoaction']) ? 18 : $instance['MTW_taille_calltoaction'];
$MTW_letterspacing_calltoaction = empty($instance['MTW_letterspacing_calltoaction']) ? 0 : $instance['MTW_letterspacing_calltoaction'];
$MTW_graisse_calltoaction = empty($instance['MTW_graisse_calltoaction']) ? '' : $instance['MTW_graisse_calltoaction'];
$MTW_linetext_calltoaction = empty($instance['MTW_linetext_calltoaction']) ? '' : $instance['MTW_linetext_calltoaction'];
$MTW_top_inner = empty($instance['MTW_top_inner']) ? 0 : $instance['MTW_top_inner'];
$MTW_bottom_inner = empty($instance['MTW_bottom_inner']) ? 0 : $instance['MTW_bottom_inner'];
$MTW_left_inner = empty($instance['MTW_left_inner']) ? 0 : $instance['MTW_left_inner'];
$MTW_right_inner = empty($instance['MTW_right_inner']) ? 0 : $instance['MTW_right_inner'];
$MTW_hexa_fond = empty($instance['MTW_hexa_fond']) ? '' : $instance['MTW_hexa_fond'];
$MTW_hexa_bordercolor = empty($instance['MTW_hexa_bordercolor']) ? '' : $instance['MTW_hexa_bordercolor'];
$MTW_border = empty($instance['MTW_border']) ? '' : $instance['MTW_border'];
$MTW_bordstyle = empty($instance['MTW_bordstyle']) ? '' : $instance['MTW_bordstyle'];
$MTW_radius = empty($instance['MTW_radius']) ? '' : $instance['MTW_radius'];
$MTW_top_margin = empty($instance['MTW_top_margin']) ? 0 : $instance['MTW_top_margin'];
$MTW_bottom_margin = empty($instance['MTW_bottom_margin']) ? 0 : $instance['MTW_bottom_margin'];
$MTW_total_width = empty($instance['MTW_total_width']) ? 250 : $instance['MTW_total_width'];
$MTW_height = empty($instance['MTW_height']) ? 'auto' : $instance['MTW_height'];
$MTW_dispoimageform = empty($instance['MTW_dispoimageform']) ? 'avantun' : $instance['MTW_dispoimageform'];

if (!empty($instance['MTW_image'])){
$id_mtw_imageform = get_attachment_id_from_src ($instance['MTW_image']);
$alt_mtw_imageform = get_post_meta($id_mtw_imageform, '_wp_attachment_image_alt', true);
(!empty($instance['MTW_image'])) ? $MTW_image = '<div class="magictextwidget_widget_image" style="margin-top:'.$MTW_image_top.'px !important;margin-bottom:'.$MTW_image_bottom.'px!important;"><img src="'.$instance['MTW_image'].'" alt="'.$alt_mtw_imageform.'"></div>' : $MTW_image = '';
}

if(!empty($MTW_text_calltoaction)){
 $MTW_text_calltoaction = '<div class="magictextwidget_widget_action"><div class="'.$MTW_color_calltoaction.'" style="max-width:' .$MTW_max_width_calltoaction.'% !important;height:auto;font-family:'. $MTW_font_calltoaction .'!important; font-size:'. $MTW_taille_calltoaction .'px !important;font-weight:'. $MTW_graisse_calltoaction .'!important;letter-spacing:'. $MTW_letterspacing_calltoaction .'px !important;line-height:'. $MTW_linetext_calltoaction .'px !important;" >'.$MTW_text_calltoaction.'</div></div>';
} else {
$MTW_text_calltoaction = '';
}

if ($MTW_border==0){
(!empty($instance['MTW_imagefondform'])) ? $MTW_imagefondform = '<div class="magictextwidget_box" style="margin-top:' .$MTW_top_margin.'px !important;margin-bottom:' .$MTW_bottom_margin.'px !important;max-width:' .$MTW_total_width.'px;height:' .$MTW_height.';background-color:transparent;background-image: url('.$instance['MTW_imagefondform'].');background-origin: border-box;">' : $MTW_imagefondform = '';
} else {
(!empty($instance['MTW_imagefondform'])) ? $MTW_imagefondform = '<div class="magictextwidget_box" style="margin-top:' .$MTW_top_margin.'px !important;margin-bottom:' .$MTW_bottom_margin.'px !important;;max-width:'.$MTW_total_width.'px;height:' .$MTW_height.';background-color:transparent;background-image: url('.$instance['MTW_imagefondform'].');background-origin: border-box; border-width:'.$MTW_border.'px !important; border-style:'.$MTW_bordstyle.'!important;border-color:'. $MTW_hexa_bordercolor.' !important; -moz-border-radius:'.$MTW_radius.'px !important; -webkit-border-radius:'.$MTW_radius.'px !important;border-radius:'.$MTW_radius.'px !important;">' : $MTW_imagefondform = '';
}

if(!empty($MTW_imagefondform)){	$MTW_box_fond = $MTW_imagefondform;}else{
if ($MTW_border==0){
$MTW_box_fond = '<div class="magictextwidget_box" style="margin-top:' .$MTW_top_margin.'px !important;margin-bottom:' .$MTW_bottom_margin.'px !important;max-width:'.$MTW_total_width.'px;height:' .$MTW_height.';background-color:'.$MTW_hexa_fond.';">';
} else {
$MTW_box_fond = '<div class="magictextwidget_box" style="margin-top:' .$MTW_top_margin.'px !important;margin-bottom:' .$MTW_bottom_margin.'px !important;;max-width:'.$MTW_total_width.'px;height:' .$MTW_height.';background-color:'.$MTW_hexa_fond.';border-width:'.$MTW_border.'px !important; border-style:'.$MTW_bordstyle.'!important;border-color:'. $MTW_hexa_bordercolor.' !important; -moz-border-radius:'.$MTW_radius.'px !important; -webkit-border-radius:'.$MTW_radius.'px !important;border-radius:'.$MTW_radius.'px !important;">';
}
}

if(!empty($MTW_title_link)){
(!empty($instance['MTW_redir_link'])) ? $MTW_redir_link = '<a style="display:block;width:100%;height:100%;text-decoration:none;" href="'.$MTW_redir_link.'" title ="'.$MTW_title_link.'" target="'.$MTW_target_link.'" >': $MTW_redir_link = '';
}else{
(!empty($instance['MTW_redir_link'])) ? $MTW_redir_link = '<a style="display:block;width:100%;height:100%;text-decoration:none;" href="'.$MTW_redir_link.'" target="'.$MTW_target_link.'" >':$MTW_redir_link = '';
}

(!empty($instance['MTW_accroche'])) ? $MTW_accroche  = strip_tags($instance['MTW_accroche']) : $MTW_accroche  = '';
(!empty($instance['MTW_texte'])) ? $MTW_texte = strip_tags($instance['MTW_texte']) : $MTW_texte = '';
($MTW_font_accroche != 'inherit')  ? $MTW_font = $MTW_font_accroche .', sans-serif ' : $MTW_font='inherit';

if(!empty($MTW_redir_link)){
$MTW_widget = $MTW_redir_link. $MTW_box_fond.'<div class="magictextwidget_box_inner" style="padding-top:'.$MTW_top_inner.'px !important; padding-right:'.$MTW_right_inner.'px!important;padding-left:'.$MTW_left_inner.'px !important;padding-bottom:'.$MTW_bottom_inner.'px !important;">';
}else{
$MTW_widget = $MTW_box_fond.'<div class="magictextwidget_box_inner" style="padding-top:'.$MTW_top_inner.'px !important; padding-right:'.$MTW_right_inner.'px!important;padding-left:'.$MTW_left_inner.'px !important;padding-bottom:'.$MTW_bottom_inner.'px !important;">';
}

if ($MTW_dispoimageform == "avantun"){ 
if(!empty($MTW_image)) { $MTW_widget .= $MTW_image; }
}
if(!empty($MTW_accroche)){
$MTW_widget .= '<div class="magictextwidget_accroche" style="margin-top:'.$MTW_topaccroche.'px !important;margin-bottom:'.$MTW_bottomtaccroche.'px !important;color:'.$MTW_hexa_accroche.'; font-family:'.$MTW_font.' !important; font-size:'.$MTW_taille_accroche.'px !important;letter-spacing:'.$MTW_letterspacing_titre.'px !important; font-weight:'.$MTW_graisse_accroche.' !important; line-height:'.$MTW_lineheight_accroche.'px !important; text-align:'.$MTW_align_accroche.' !important;">'.wpautop($MTW_accroche ,true).'</div>';
}
if ($MTW_dispoimageform == "apresun"){
if(!empty($MTW_image)){$MTW_widget .= $MTW_image;}
}
if(!empty($MTW_texte)){
$MTW_widget .= '<div class="magictextwidget_widget_text" style="margin-top:'.$MTW_toptext.'px !important;margin-bottom:'.$MTW_bottomtext.'px !important;color:'.$MTW_hexa_texte.'!important; font-family:'.$MTW_font_texte.' !important; font-size:'.$MTW_taille_texte.'px !important; font-weight:'.$MTW_graisse_text.' !important; line-height:'.$MTW_linetext.'px!important; text-align:'.$MTW_align_text.'!important;  ">'.wpautop($MTW_texte,true).'</div>';
}
if ($MTW_dispoimageform == "apresdeux"){
if(!empty($MTW_image)){$MTW_widget .= $MTW_image;}
}
if(!empty($MTW_redir_link)){
$MTW_widget .= $MTW_text_calltoaction; $MTW_widget .= '</div></div></a>';
} else {
$MTW_widget .= '</div></div>';
}
$MTW_content = $MTW_widget;

if ((!empty($MTW_accroche)) || (!empty($MTW_texte)) || (!empty($MTW_image)) || (!empty($MTW_imagefondform))) :
echo $before_widget;
if (!empty( $title )) {echo $before_title . $title . $after_title;}
echo do_shortcode($MTW_content);
echo $after_widget;
endif;
}

function update($new_instance, $old_instance){
$instance = $old_instance;
$instance['title'] = strip_tags($new_instance['title']);
if ( isset($new_instance['MTW_accroche']) ) {
if ( current_user_can('unfiltered_html') ) {
$instance['MTW_accroche'] = $new_instance['MTW_accroche'];
} else {
$instance['MTW_accroche'] = wp_filter_post_kses($new_instance['MTW_accroche']);
}
}
$instance['MTW_topaccroche'] = (int)$new_instance['MTW_topaccroche'];
$instance['MTW_bottomtaccroche'] = (int)$new_instance['MTW_bottomtaccroche'];
$instance[ 'MTW_top_inner'] = (int)$new_instance['MTW_top_inner'];
$instance['MTW_bottom_inner'] = (int)$new_instance['MTW_bottom_inner'];
$instance['MTW_left_inner'] = ( int)$new_instance['MTW_left_inner'];
$instance['MTW_right_inner'] = (int)$new_instance['MTW_right_inner'];
$instance['MTW_font_accroche'] = $new_instance[ 'MTW_font_accroche'];
$instance['MTW_taille_accroche'] = (int)$new_instance['MTW_taille_accroche'];
$instance['MTW_letterspacing_titre'] = (int)$new_instance[ 'MTW_letterspacing_titre'];
$instance['MTW_graisse_accroche'] = $new_instance['MTW_graisse_accroche'];
$instance['MTW_lineheight_accroche'] = (int)$new_instance ['MTW_lineheight_accroche'];
$instance['MTW_align_accroche'] = $new_instance['MTW_align_accroche'];
$instance['MTW_texte'] = strip_tags($new_instance[ 'MTW_texte']);
$instance['MTW_font_texte'] = $new_instance['MTW_font_texte'];
$instance['MTW_taille_texte'] = (int)$new_instance['MTW_taille_texte'];
$instance[ 'MTW_linetext'] = (int)$new_instance['MTW_linetext'];
$instance['MTW_toptext'] = (int)$new_instance['MTW_toptext'];
$instance['MTW_bottomtext'] = (int) $new_instance['MTW_bottomtext'];
$instance['MTW_align_text'] = $new_instance['MTW_align_text'];
$instance['MTW_graisse_text'] = $new_instance['MTW_graisse_text' ];
$instance['MTW_image'] = $new_instance['MTW_image'];
$instance['MTW_image_top'] = (int)$new_instance['MTW_image_top'];
$instance['MTW_image_bottom'] = (int) $new_instance['MTW_image_bottom'];
$instance['MTW_dispoimageform'] = $new_instance['MTW_dispoimageform'];
if ( current_user_can('unfiltered_html') ) {
$instance['MTW_redir_link'] = esc_url($new_instance['MTW_redir_link']);
} else {
$instance['MTW_redir_link'] = '';
}
$instance['MTW_title_link'] = $new_instance['MTW_title_link'];
$instance['MTW_target_link'] = $new_instance['MTW_target_link'];
$instance['MTW_color_calltoaction'] = $new_instance['MTW_color_calltoaction'];
$instance['MTW_max_width_calltoaction'] = (int)$new_instance['MTW_max_width_calltoaction'];
$instance['MTW_text_calltoaction'] = strip_tags($new_instance['MTW_text_calltoaction']);
$instance['MTW_font_calltoaction'] = $new_instance['MTW_font_calltoaction'];
$instance['MTW_taille_calltoaction'] = (int)$new_instance['MTW_taille_calltoaction'];
$instance['MTW_letterspacing_calltoaction'] = (int)$new_instance['MTW_letterspacing_calltoaction'];
$instance['MTW_graisse_calltoaction'] = $new_instance['MTW_graisse_calltoaction'];
$instance['MTW_linetext_calltoaction'] = (int)$new_instance['MTW_linetext_calltoaction'];
$instance['MTW_hexa_fond'] = $new_instance['MTW_hexa_fond'];
$instance['MTW_hexa_texte'] = $new_instance['MTW_hexa_texte'];
$instance['MTW_hexa_accroche'] = $new_instance['MTW_hexa_accroche'];
$instance['MTW_hexa_bordercolor'] = $new_instance['MTW_hexa_bordercolor'];
$instance['MTW_border'] = (int)$new_instance['MTW_border'];
$instance['MTW_bordstyle'] = $new_instance['MTW_bordstyle'];
$instance['MTW_radius'] = (int)$new_instance['MTW_radius'];
$instance['MTW_imagefondform'] = $new_instance['MTW_imagefondform'];
$instance['MTW_top_margin'] = (int)$new_instance['MTW_top_margin'];
$instance['MTW_bottom_margin'] = (int)$new_instance['MTW_bottom_margin'];
$instance['MTW_total_width'] = (int)$new_instance['MTW_total_width'];
$instance['MTW_height'] = $new_instance['MTW_height'];
return $instance;
}

function form($instance){$instance = wp_parse_args( (array) $instance,array('title'=>'','MTW_total_width'=>'250','MTW_height'=>'auto','MTW_top_margin'=>'0',
'MTW_bottom_margin'=>'0','MTW_top_inner'=>'10','MTW_bottom_inner'=>'10','MTW_left_inner'=>'10','MTW_right_inner'=>'10','MTW_accroche'=>'','MTW_topaccroche'=>'0',
'MTW_bottomtaccroche'=>'0','MTW_font_accroche'=>'','MTW_taille_accroche'=>'20','MTW_letterspacing_titre'=>'0','MTW_graisse_accroche'=>'',
'MTW_lineheight_accroche'=>'24','MTW_align_accroche'=>'','MTW_texte'=>'','MTW_font_texte'=>'','MTW_taille_texte'=>'13','MTW_linetext'=>'15','MTW_toptext'=>'0'
,'MTW_bottomtext'=>'0','MTW_align_text'=>'','MTW_graisse_text'=>'','MTW_image'=>'','MTW_image_top'=>0,'MTW_image_bottom'=>0,
'MTW_dispoimageform'=>'apresun','MTW_redir_link'=>'',
'MTW_title_link'=>'','MTW_target_link'=>'','MTW_color_calltoaction'=>'','MTW_max_width_calltoaction'=> 100,'MTW_text_calltoaction'=>'','MTW_font_calltoaction'
=>'','MTW_taille_calltoaction'=>'18','MTW_letterspacing_calltoaction'=>'0','MTW_graisse_calltoaction'=>'','MTW_linetext_calltoaction'=>'18','MTW_hexa_fond'=>
'#fff','MTW_hexa_bordercolor'=>'#cc0000','MTW_hexa_accroche'=>'#0066bf','MTW_hexa_texte'=>'#333','MTW_imagefondform'=>'','MTW_border' =>'4','MTW_bordstyle' =>
'dotted','MTW_radius'=>'10'));
$title = $instance['title'];
$MTW_accroche  = strip_tags($instance['MTW_accroche']);
$MTW_topaccroche  = strip_tags($instance['MTW_topaccroche']);
$MTW_bottomtaccroche  = strip_tags($instance['MTW_bottomtaccroche']);
$MTW_font_accroche = $instance['MTW_font_accroche'];
$MTW_taille_accroche = $instance['MTW_taille_accroche'];
$MTW_letterspacing_titre = $instance['MTW_letterspacing_titre'];
$MTW_graisse_accroche = $instance['MTW_graisse_accroche'];
$MTW_lineheight_accroche = $instance['MTW_lineheight_accroche'];
$MTW_align_accroche = $instance['MTW_align_accroche'];
$MTW_hexa_accroche = $instance['MTW_hexa_accroche'];
$MTW_hexa_texte = $instance['MTW_hexa_texte'];
$MTW_texte = strip_tags($instance['MTW_texte']);
$MTW_font_texte = $instance['MTW_font_texte'];
$MTW_taille_texte = $instance['MTW_taille_texte'];
$MTW_linetext = $instance['MTW_linetext'];
$MTW_toptext= $instance['MTW_toptext'];
$MTW_bottomtext= $instance['MTW_bottomtext'];
$MTW_align_text= $instance['MTW_align_text'];
$MTW_graisse_text= $instance['MTW_graisse_text'];
$MTW_image= $instance['MTW_image'];
$MTW_image_top= $instance['MTW_image_top'];
$MTW_image_bottom= $instance['MTW_image_bottom'];
$MTW_dispoimageform = $instance['MTW_dispoimageform'];
$MTW_color_calltoaction= $instance['MTW_color_calltoaction'];
$MTW_max_width_calltoaction= $instance['MTW_max_width_calltoaction'];
$MTW_text_calltoaction= strip_tags($instance['MTW_text_calltoaction']);
$MTW_font_calltoaction= $instance['MTW_font_calltoaction'];
$MTW_taille_calltoaction= $instance['MTW_taille_calltoaction'];
$MTW_letterspacing_calltoaction= $instance['MTW_letterspacing_calltoaction'];
$MTW_graisse_calltoaction= $instance['MTW_graisse_calltoaction'];
$MTW_linetext_calltoaction= $instance['MTW_linetext_calltoaction'];
$MTW_redir_link = esc_url($instance['MTW_redir_link']);
$MTW_title_link = strip_tags($instance['MTW_title_link']);
$MTW_target_link = $instance['MTW_target_link'];
$MTW_hexa_fond = $instance['MTW_hexa_fond'];
$MTW_imagefondform = $instance['MTW_imagefondform'];
$MTW_hexa_bordercolor = $instance['MTW_hexa_bordercolor'];
$MTW_border = $instance['MTW_border'];
$MTW_bordstyle = $instance['MTW_bordstyle'];
$MTW_radius = $instance['MTW_radius'];
$MTW_top_inner = $instance['MTW_top_inner'];
$MTW_bottom_inner = $instance['MTW_bottom_inner'];
$MTW_top_margin = $instance['MTW_top_margin'];
$MTW_bottom_margin = $instance['MTW_bottom_margin'];
?>
<p><label for = "<?php echo $this->get_field_id('title'); ?>"><?php _e('Titre du widget :'); ?><input class = "widefat" id = "<?php echo $this->get_field_id('title'); ?>" name = "<?php echo $this->get_field_name('title'); ?>" type = "text" value = "<?php echo $title; ?>" /> </label> </p>
<hr>
<hr>
<table style="text-align: left; width: 100%;" border="0" cellpadding="2" cellspacing="2">
<h3 style="color: #e85a05;"><?php _e('Zone de texte 1 :', 'magictextwidget');?></h3>
<tbody>
<tr>
<label>
<?php _e('Entrez votre texte ci-dessous :', 'magictextwidget');?>
</label>
<textarea class = "widefat" rows = "6" id = "<?php echo $this->get_field_id('MTW_accroche');?>" name = "<?php echo $this->get_field_name('MTW_accroche'); ?>"><?php echo strip_tags($instance['MTW_accroche']);?>
</textarea>
</tr>
<tr>
<td style="vertical-align: middle; width: 33%; text-align: left;">
<label for="<?php echo $this->get_field_id('MTW_hexa_accroche'); ?>">
<?php _e('Couleur du texte :', 'magictextwidget' ); ?></label>
</td>
<td>
<input type="text" id="<?php echo $this->get_field_id( 'MTW_hexa_accroche' ); ?>" name="<?php echo $this->get_field_name( 'MTW_hexa_accroche' ); ?>" class="wp-color-picker" value="<?php echo esc_attr( $instance['MTW_hexa_accroche'] ); ?>" />
</td>
</tr>
<tr>
<td>
<label for = "<?php echo $this->get_field_id('MTW_font_accroche');?>">
<?php _e('Police de caract&egrave;res:', 'magictextwidget' ); ?>
</label>
</td>
<td>
<select name="<?php echo $this->get_field_name('MTW_font_accroche'); ?>" id="<?php echo $this->get_field_id('MTW_font_accroche'); ?>">
<option value="inherit"<?php selected( $instance['MTW_font_accroche'], 'inherit' ); ?>>par d&eacute;faut</option>
<option value="Allan"<?php selected( $instance['MTW_font_accroche'], 'Allan' ); ?>>Allan</option>
<option value="Allura"<?php selected( $instance['MTW_font_accroche'], 'Allura' ); ?>>Allura</option>
<option value="Annie Use Your Telescope"<?php selected( $instance['MTW_font_accroche'], 'Annie Use Your Telescope' ); ?>>Annie Use Your Telescope</option>
<option value="Akronim"<?php selected( $instance['MTW_font_accroche'], 'Akronim' ); ?>>Akronim</option>
<option value="Architects Daughter"<?php selected( $instance['MTW_font_accroche'], 'Architects Daughter' ); ?>>Architects Daughter</option>
<option value="Archivo Narrow"<?php selected( $instance['MTW_font_accroche'], 'Archivo Narrow' ); ?>>Archivo Narrow</option>
<option value="BenchNine"<?php selected( $instance['MTW_font_accroche'], 'BenchNine' ); ?>>BenchNine</option>
<option value="Bilbo"<?php selected( $instance['MTW_font_accroche'], 'Bilbo' ); ?>>Bilbo</option>
<option value="Boogaloo"<?php selected( $instance['MTW_font_accroche'], 'Boogaloo' ); ?>>Boogaloo</option>
<option value="Bubblegum Sans"<?php selected( $instance['MTW_font_accroche'], 'Bubblegum Sans' ); ?>>Bubblegum Sans</option>
<option value="Changa One"<?php selected( $instance['MTW_font_accroche'], 'Changa One' ); ?>>Changa One</option>
<option value="Chau Philomene One"<?php selected( $instance['MTW_font_accroche'], 'Chau Philomene One' ); ?>>Chau Philomene One</option>
<option value="Cookie"<?php selected( $instance['MTW_font_accroche'], 'Cookie' ); ?>>Cookie</option>
<option value="Cuprum"<?php selected( $instance['MTW_font_accroche'], 'Cuprum' ); ?>>Cuprum</option>
<option value="Devonshire"<?php selected( $instance['MTW_font_accroche'], 'Devonshire' ); ?>>Devonshire</option>
<option value="Dosis"<?php selected( $instance['MTW_font_accroche'], 'Dosis' ); ?>>Dosis</option>
<option value="Droid Sans"<?php selected( $instance['MTW_font_accroche'], 'Droid Sans' ); ?>>Droid Sans</option>
<option value="Engagement"<?php selected( $instance['MTW_font_accroche'], 'Engagement' ); ?>>Engagement</option>
<option value="Grand Hotel"<?php selected( $instance['MTW_font_accroche'], 'Grand Hotel' ); ?>>Grand Hotel</option>
<option value="Istok Web"<?php selected( $instance['MTW_font_accroche'], 'Istok Web' ); ?>>Istok Web</option>
<option value="Just Another Hand"<?php selected( $instance['MTW_font_accroche'], 'Just Another Hand' ); ?>>Just Another Hand</option>
<option value="Just Me Again Down Here"<?php selected( $instance['MTW_font_accroche'], 'Just Me Again Down Here' ); ?>>Just Me Again Down Here</option>
<option value="Lancelot"<?php selected( $instance['MTW_font_accroche'], 'Lancelot' ); ?>>Lancelot</option>
<option value="Lato"<?php selected( $instance['MTW_font_accroche'], 'Lato' ); ?>>Lato</option>
<option value="Lobster"<?php selected( $instance['MTW_font_accroche'], 'Lobster' ); ?>>Lobster</option>
<option value="Lobster Two"<?php selected( $instance['MTW_font_accroche'], 'Lobster Two' ); ?>>Lobster Two</option>
<option value="Londrina Solid"<?php selected( $instance['MTW_font_accroche'], 'Londrina Solid' ); ?>>Londrina Solid</option>
<option value="Marck Script"<?php selected( $instance['MTW_font_accroche'], 'Marck Script' ); ?>>Marck Script</option>
<option value="Montez"<?php selected( $instance['MTW_font_accroche'], 'Montez' ); ?>>Montez</option>
<option value="Neucha"<?php selected( $instance['MTW_font_accroche'], 'Neucha' ); ?>>Neucha</option>
<option value="Open Sans"<?php selected( $instance['MTW_font_accroche'], 'Open Sans' ); ?>>Open Sans</option>
<option value="Patrick Hand SC"<?php selected( $instance['MTW_font_accroche'], 'Patrick Hand SC' ); ?>>Patrick Hand SC</option>
<option value="Parisienne"<?php selected( $instance['MTW_font_accroche'], 'Parisienne' ); ?>>Parisienne</option>
<option value="Sacramento"<?php selected( $instance['MTW_font_accroche'], 'Sacramento' ); ?>>Sacramento</option>
<option value="Satisfy"<?php selected( $instance['MTW_font_accroche'], 'Satisfy' ); ?>>Satisfy</option>
<option value="Schoolbell"<?php selected( $instance['MTW_font_accroche'], 'Schoolbell' ); ?>>Schoolbell</option>
<option value="Share"<?php selected( $instance['MTW_font_accroche'], 'Share' ); ?>>Share</option>
<option value="Stalemate"<?php selected( $instance['MTW_font_accroche'], 'Stalemate' ); ?>>Stalemate</option>
<option value="Sue Ellen Francisco"<?php selected( $instance['MTW_font_accroche'], 'Sue Ellen Francisco' ); ?>>Sue Ellen Francisco</option>
<option value="Ubuntu Condensed"<?php selected( $instance['MTW_font_accroche'], 'Ubuntu Condensed' ); ?>>Ubuntu Condensed</option>
<option value="Unkempt"<?php selected( $instance['MTW_font_accroche'], 'Unkempt' ); ?>>Unkempt</option>
<option value="Vibur"<?php selected( $instance['MTW_font_accroche'], 'Vibur' ); ?>>Vibur</option>
<option value="Yanone Kaffeesatz"<?php selected( $instance['MTW_font_accroche'], 'Yanone Kaffeesatz' ); ?>>Yanone Kaffeesatz</option>
<option value="Zeyada"<?php selected( $instance['MTW_font_accroche'], 'Zeyada' ); ?>>Zeyada</option>
</select>
</td>
</tr>
<tr>
<td><label for="<?php echo $this->get_field_id('MTW_taille_accroche'); ?>">
<?php _e(' Taille caract&egrave;res:', 'magictextwidget' ); ?>
</label></td>
<td>
<input name="<?php echo $this->get_field_name('MTW_taille_accroche');?>" type="number" step="1" min="17" id="<?php echo $this->get_field_id('MTW_taille_accroche'); ?>" value="<?php
echo $instance['MTW_taille_accroche'];?>" class="small-text"> px
</td>
</tr>
<tr>
<td>
<label for = "<?php echo $this->get_field_id('MTW_graisse_accroche');?>">
<?php _e('Epaisseur : ', 'magictextwidget' ); ?></label>
</td>
<td>
<select name="<?php echo $this->get_field_name('MTW_graisse_accroche'); ?>" id="<?php echo $this->get_field_id('MTW_graisse_accroche'); ?>">
<option value="normal"<?php selected(  $instance['MTW_graisse_accroche'], 'normal' ); ?>>Normal</option>
<option value="bold"<?php selected(  $instance['MTW_graisse_accroche'], 'bold' ); ?>>Gras</option>
</select>
</td>
</tr>
<tr>
<td>
<label for="<?php echo $this->get_field_id('MTW_letterspacing_titre'); ?>">
<?php _e('  Espacement caract&egrave;res:', 'magictextwidget' ); ?></label>
</td>
<td>
<input name="<?php echo $this->get_field_name('MTW_letterspacing_titre');?>" type="number" step="1" min="-3" max="3" id="<?php echo $this->get_field_id('MTW_letterspacing_titre'); ?>
" value="<?php echo $instance['MTW_letterspacing_titre'];?>" class="small-text"> px
</td>
</tr>
<tr>
<td>
<label for="<?php echo $this->get_field_id('MTW_lineheight_accroche'); ?>">
<?php _e(' Hauteur ligne:', 'magictextwidget' ); ?></label>
</td>
<td>
<input name="<?php echo $this->get_field_name('MTW_lineheight_accroche');?>" type="number" step="1" min="17" id="<?php echo $this->get_field_id('MTW_lineheight_accroche'); ?>" value=
"<?php echo $instance['MTW_lineheight_accroche'];?>" class="small-text"> px
</td>
</tr>
<tr>
<td>
<label for = "<?php echo $this->get_field_id('MTW_align_accroche');?>"><?php _e('Alignement:');?>
</td>
<td>
<select name="<?php echo $this->get_field_name('MTW_align_accroche'); ?>" id="<?php echo $this->get_field_id('MTW_align_accroche'); ?>">
<option value="left"<?php selected(  $instance['MTW_align_accroche'], 'left' ); ?>>Gauche</option>
<option value="right"<?php selected(  $instance['MTW_align_accroche'], 'right' ); ?>>Droite</option>
<option value="center"<?php selected(  $instance['MTW_align_accroche'], 'center' ); ?>>Centre</option>
<option value="justify"<?php selected(  $instance['MTW_align_accroche'], 'justify' ); ?>>Justifi&eacute;</option>
</select>
</label>
</td>
</tr>
<tr>
<td>
<label for="<?php echo $this->get_field_id('MTW_topaccroche'); ?>">
<?php _e('  Marge en haut: ', 'magictextwidget' ); ?></label>
</td>
<td>
<input name="<?php echo $this->get_field_name('MTW_topaccroche');?>" type="number" step="1" id="<?php echo $this->get_field_id('MTW_topaccroche'); ?>" value="<?php echo $instance['MTW_topaccroche'];?>" class="small-text"> px
</td>
</tr>
<tr>
<td>
<label for="<?php echo $this->get_field_id('MTW_bottomtaccroche'); ?>">
<?php _e('  Marge en bas: ', 'magictextwidget' ); ?></label>
</td>
<td>
<input name="<?php echo $this->get_field_name('MTW_bottomtaccroche');?>" type="number" step="1" id="<?php echo $this->get_field_id('MTW_bottomtaccroche'); ?>" value="<?php echo $instance['MTW_bottomtaccroche'];?>" class="small-text"> px
</td>
</tr>
</tbody>
</table>
<hr>
<hr>
<table style="text-align: left; width: 100%;" border="0" cellpadding="2" cellspacing="2">
<h3 style="color: #e85a05;"><?php _e('Ajouter une Image :', 'magictextwidget');?></h3>
<tbody>
<tr>
<?php if($instance['MTW_image']): ?>
<div class="mtw_image-img"><img style="max-width:200px;" src="<?php echo $instance['MTW_image'] ?>" /></div>
<?php endif; ?>
<label for="<?php echo $this->get_field_id('MTW_image'); ?>"></label>
<input type="text" placeholder="<?php _e(' URL image', 'magictextwidget' ); ?>" class="large-text img" name="<?php echo $this->get_field_name('MTW_image'); ?>"
id="<?php echo $this->get_field_id('MTW_image'); ?>" value="<?php echo $instance['MTW_image']; ?>" />
<input type="button" class="mtw_image-img" value="<?php _e('Cliquez pour ajouter une Image', 'magictextwidget' ); ?>" />
</tr>
<tr>
<td style="vertical-align: middle; width: 33%; text-align: left;">
<label for="<?php echo $this->get_field_id('MTW_image_top'); ?>">
<?php _e('  Marge en haut : ', 'magictextwidget' ); ?></label>
</td>
<td>
<input name="<?php echo $this->get_field_name('MTW_image_top');?>" type="number" step="1" min="-100" id="<?php echo $this->get_field_id('MTW_image_top'); ?>" value="<?php echo
$instance['MTW_image_top'];?>" class="small-text">px
</td>
</tr>
<tr>
<td>
<label for="<?php echo $this->get_field_id('MTW_image_bottom'); ?>">
<?php _e('  Marge en bas : ', 'magictextwidget' ); ?></label>
</td>
<td>
<input name="<?php echo $this->get_field_name('MTW_image_bottom');?>" type="number" step="1" min="-100" id="<?php echo $this->get_field_id('MTW_image_bottom'); ?>" value="<?php echo
$instance['MTW_image_bottom'];?>" class="small-text">px
</td>
</tr>
<tr>
<td>
<label for = "<?php echo $this->get_field_id('MTW_dispoimageform');?>"><?php _e('Afficher l\'image :');?></label>
</td>
<td>
<select name="<?php echo $this->get_field_name('MTW_dispoimageform'); ?>" id="<?php echo $this->get_field_id('MTW_dispoimageform'); ?>">
<option value="avantun"<?php selected(  $instance['MTW_dispoimageform'], 'avantun' ); ?>>Avant la zone texte 1</option>
<option value="apresun"<?php selected(  $instance['MTW_dispoimageform'], 'apresun' ); ?>>Aprés la zone texte 1</option>
<option value="apresdeux"<?php selected(  $instance['MTW_dispoimageform'], 'apresdeux' ); ?>>Aprés la zone texte 2</option>
</select>
</td>
</tr>
</tbody>
</table>
<hr>
<hr>
<table style="text-align: left; width: 100%;" border="0" cellpadding="2" cellspacing="2">
<h3 style="color: #e85a05;"><?php _e('Zone de texte 2 :', 'magictextwidget');?></h3>
<tbody>
<tr>
<?php _e('Entrez votre texte ci-dessous : ', 'magictextwidget');?>
<textarea class = "widefat" rows = "6" id = "<?php echo $this->get_field_id('MTW_texte');?>" name = "<?php echo $this->get_field_name('MTW_texte');?>">
<?php echo strip_tags($instance['MTW_texte']);?>
</textarea>
</tr>
<tr>
<td style="vertical-align: middle; width: 33%; text-align: left;">
<label for="<?php echo $this->get_field_id('MTW_hexa_texte'); ?>"><?php _e('Couleur du texte :', 'magictextwidget' ); ?></label>
</td>
<td>
<input type="text" id="<?php echo $this->get_field_id( 'MTW_hexa_texte' ); ?>" name="<?php echo $this->get_field_name( 'MTW_hexa_texte' ); ?>" class="wp-color-picker" value="<?php echo esc_attr( $instance['MTW_hexa_texte'] ); ?>" />
</td>
</tr>
<tr>
<td>
<label for = "<?php echo $this->get_field_id('MTW_font_texte');?>"><?php _e('Police caract&egrave;res:', 'magictextwidget' ); ?></label>
</td>
<td>
<select name="<?php echo $this->get_field_name('MTW_font_texte'); ?>" id="<?php echo $this->get_field_id('MTW_font_texte'); ?>">
<option value="inherit"<?php selected( $instance['MTW_font_texte'], 'inherit' ); ?>>par d&eacute;faut</option>
<option value="Andale Mono, Times"<?php selected( $instance['MTW_font_texte'], 'Andale Mono, Times' ); ?>>Andale Mono</option>
<option value="Arial, Helvetica, sans-serif"<?php selected( $instance['MTW_font_texte'], 'Arial, Helvetica, sans-serif' ); ?>>Arial</option>
<option value="Arial Black, Avant Garde"<?php selected( $instance['MTW_font_texte'], 'Arial Black, Avant Garde' ); ?>>Arial Black</option>
<option value="Book Antiqua, Palatino"<?php selected( $instance['MTW_font_texte'], 'Book Antiqua, Palatino' ); ?>>Book Antiqua</option>
<option value="Comic Sans MS, sans-serif"<?php selected( $instance['MTW_font_texte'], 'Comic Sans MS, sans-serif' ); ?>>Comic Sans MS</option>
<option value="Courier New, Courier"<?php selected( $instance['MTW_font_texte'], 'Courier New, Courier' ); ?>>Courrier New</option>
<option value="Georgia, Palatino"<?php selected( $instance['MTW_font_texte'], 'Georgia, Palatino' ); ?>>Georgia</option>
<option value="Helvetica"<?php selected( $instance['MTW_font_texte'], 'Helvetica' ); ?>>Helvetica</option>
<option value="Impact, Chicago"<?php selected( $instance['MTW_font_texte'], 'Impact, Chicago' ); ?>>Impact</option>
<option value="Tahoma, Arial, Helvetica, sans-serif"<?php selected( $instance['MTW_font_texte'], 'Tahoma, Arial, Helvetica, sans-serif' ); ?>>Tahoma</option>
<option value="Times New Roman, Times"<?php selected( $instance['MTW_font_texte'], 'Times New Roman, Times' ); ?>>Times New Roman</option>
<option value="Trebuchet MS, Geneva"<?php selected( $instance['MTW_font_texte'], 'Trebuchet MS, Geneva' ); ?>>Trebuchet MS</option>
<option value="Verdana, Geneva"<?php selected( $instance['MTW_font_texte'], 'Verdana, Geneva' ); ?>>Verdana</option>
</select>
</td>
</tr>
<tr>
<td>
<label for="<?php echo $this->get_field_id('MTW_taille_texte'); ?>">
<?php _e(' Taille caract&egrave;res:', 'magictextwidget' ); ?></label>
</td>
<td>
<input name="<?php echo $this->get_field_name('MTW_taille_texte');?>" type="number" step="1" min="12" id="<?php echo $this->get_field_id('MTW_taille_texte'); ?>" value="<?php echo $instance['MTW_taille_texte'];?>" class="small-text"> px
</td>
</tr>
<tr>
<td>
<label for = "<?php echo $this->get_field_id('MTW_graisse_text');?>">
<?php _e('Epaisseur:', 'magictextwidget' ); ?></label>
</td>
<td>
<select name="<?php echo $this->get_field_name('MTW_graisse_text'); ?>" id="<?php echo $this->get_field_id('MTW_graisse_text'); ?>">
<option value="normal"<?php selected(  $instance['MTW_graisse_text'], 'normal' ); ?>>Normal</option>
<option value="bold"<?php selected(  $instance['MTW_graisse_text'], 'bold' ); ?>>Gras</option>
</select>
</td>
</tr>
<tr>
<td>
<label for = "<?php echo $this->get_field_id('MTW_linetext');?>">
<?php _e(' Hauteur ligne:', 'magictextwidget' ); ?></label>
</td>
<td>
<input name="<?php echo $this->get_field_name('MTW_linetext');?>" type="number" step="1" min="13" id="<?php echo $this->get_field_id('MTW_linetext'); ?>" value="<?php echo $instance['MTW_linetext'];?>" class="small-text"> px
</td>
</tr>
<tr>
<td>
<label for = "<?php echo $this->get_field_id('MTW_align_text');?>"><?php _e('Alignement:', 'magictextwidget' ); ?></label>
</td>
<td>
<select name="<?php echo $this->get_field_name('MTW_align_text'); ?>" id="<?php echo $this->get_field_id('MTW_align_text'); ?>">
<option value="left"<?php selected(  $instance['MTW_align_text'], 'left' ); ?>>Gauche</option>
<option value="right"<?php selected(  $instance['MTW_align_text'], 'right' ); ?>>Droite</option>
<option value="center"<?php selected(  $instance['MTW_align_text'], 'center' ); ?>>Centre</option>
<option value="justify"<?php selected(  $instance['MTW_align_text'], 'justify' ); ?>>Justifi&eacute;</option>
</select>
</td>
</tr>
<tr>
<td>
<label for = "<?php echo $this->get_field_id('MTW_toptext');?>">
<?php _e('  Marge en haut:', 'magictextwidget' ); ?></label>
</td>
<td>
<input name="<?php echo $this->get_field_name('MTW_toptext');?>" type="number" step="1" id="<?php echo $this->get_field_id('MTW_toptext'); ?>" value="<?php echo $instance['MTW_toptext'];?>" class="small-text"> px
</td>
</tr>
<tr>
<td>
<label for = "<?php echo $this->get_field_id('MTW_bottomtext');?>">
<?php _e('  Marge en bas: ', 'magictextwidget' ); ?></label>
</td>
<td>
<input name="<?php echo $this->get_field_name('MTW_bottomtext');?>" type="number" step="1" id="<?php echo $this->get_field_id('MTW_bottomtext'); ?>" value="<?php echo $instance['MTW_bottomtext'];?>" class="small-text"> px
</td>
</tr>
</tbody>
</table>
<hr>

<hr>
<table style="text-align: left; width: 100%;" border="0" cellpadding="2" cellspacing="2">
<h3 style="color: #e85a05;"><?php _e('Ajouter un lien :', 'magictextwidget');?></h3>
<tbody>
<tr>
<?php _e('Si vous le voulez vous pouvez ajouter ci-dessous une adresse web ou sera redirig&eacute; le visiteur qui cliquera sur la banni&egrave;re g&eacute;n&eacute;r&eacute;e avec ce widget',
'magictextwidget');?>
</tr>
<br/><br/>
<tr>
<?php _e('Inscrivez l\'adresse web ci-dessous :', 'magictextwidget');?>
<textarea class = "widefat" placeholder="URL de redirection quand le visiteur clique sur le widget" rows = "1" id = "<?php echo $this->get_field_id('MTW_redir_link'); ?>" name = "<?php echo $this->get_field_name(
'MTW_redir_link'); ?>"><?php echo esc_url($instance['MTW_redir_link']); ?></textarea>
</tr>
<tr>
<label for = "<?php echo $this->get_field_id('MTW_title_link');?>">
<?php _e('Entrez un titre pour le lien : ', 'magicformwidget');?></label>
<textarea class = "widefat" placeholder="Titre pour url de redirection"rows = "1" id = "<?php echo $this->get_field_id('MTW_title_link');?>" name = "<?php echo $this->get_field_name('MTW_title_link');?>"><?php echo strip_tags($instance['MTW_title_link']);?></textarea>
<span class="description"><?php _e('Ce titre s\'affichera au passage de la souris' ); ?></span>
</tr>
<tr>
<td style="vertical-align: middle; width: 33%; text-align: left;">
<label for = "<?php echo $this->get_field_id('MTW_target_link');?>"><?php _e('Ouvrir la page web dans:', 'magictextwidget' ); ?></label>
</td>
<td>
<select name="<?php echo $this->get_field_name('MTW_target_link'); ?>" id="<?php echo $this->get_field_id('MTW_target_link'); ?>">
<option value="_self"<?php selected(  $instance['MTW_target_link'], '_self' ); ?>>la m&ecirc;me fen&ecirc;tre</option>
<option value="_blank"<?php selected(  $instance['MTW_target_link'], '_blank' ); ?>>un nouvel onglet</option>
</select>
</td>
</tr>
</tbody>
</table>
<hr>
<hr>
<table style="text-align: left; width: 100%;" border="0" cellpadding="2" cellspacing="2">
<h3 style="color: #e85a05;"><?php _e('Ajouter un bouton d\'appel &agrave; l\'action :', 'magictextwidget');?></h3>
<tbody>
<tr valign="top">
<?php _e('ATTENTION : pour que le bouton s\'affiche vous devez d&eacute;ja ajout&eacute; une adresse web dans la zone => Ajouter un lien (ci-dessus)', 'magictextwidget');?>
</tr>
<br/>
<tr>
<td style="vertical-align: middle; width: 33%; text-align: left;">
<label for = "<?php echo $this->get_field_id('MTW_color_calltoaction');?>"><?php _e('Couleur du bouton : ', 'magictextwidget' ); ?></label>
</td><td>
<select name="<?php echo $this->get_field_name('MTW_color_calltoaction'); ?>" id="<?php echo $this->get_field_id('MTW_color_calltoaction'); ?>">
<option value="orangebouton"<?php selected(  $instance['MTW_color_calltoaction'], 'orangebouton' ); ?>>orange</option>
<option value="bluebouton"<?php selected(  $instance['MTW_color_calltoaction'], 'bluebouton' ); ?>>bleu</option>
<option value="redbouton"<?php selected(  $instance['MTW_color_calltoaction'], 'redbouton' ); ?>>rouge</option>
<option value="greybouton"<?php selected(  $instance['MTW_color_calltoaction'], 'greybouton' ); ?>>gris</option>
<option value="vertbouton"<?php selected(  $instance['MTW_color_calltoaction'], 'vertbouton' ); ?>>vert</option>
<option value="blackbouton"<?php selected(  $instance['MTW_color_calltoaction'], 'blackbouton' ); ?>>noir</option>
<option value="bouton_fb boutonfbbleu"<?php selected(  $instance['MTW_color_calltoaction'], 'bouton_fb boutonfbbleu' ); ?>>Facebook connect</option>
</select>
</td>
</tr>
<tr>
<td>
<label for = "<?php echo $this->get_field_id('MTW_max_width_calltoaction');?>">
<?php _e('largeur max. bouton :', 'magictextwidget' ); ?></label>
</td><td>
<input name="<?php echo $this->get_field_name('MTW_max_width_calltoaction');?>" type="number" step="1" min="30" max="100" id="<?php echo $this->get_field_id('MTW_max_width_calltoaction'); ?>" value="<?php echo $instance['MTW_max_width_calltoaction'];?>" >% du contenant
</td>
</tr>
<tr>
<td>
<label for = "<?php echo $this->get_field_id('MTW_text_calltoaction');?>"><?php _e('Texte sur le bouton: ', 'magictextwidget' ); ?></label>
</td><td>
<input id="<?php echo $this->get_field_id('MTW_text_calltoaction'); ?>" name="<?php echo $this->get_field_name('MTW_text_calltoaction');?>" type="text" value="<?php echo $instance['MTW_text_calltoaction'];?>" size="40" >
</td>
</tr>
<tr>
<td>
<label for = "<?php echo $this->get_field_id('MTW_font_calltoaction');?>"><?php _e('Police caract&egrave;res:', 'magictextwidget' ); ?></label>
</td>
<td>
<select name="<?php echo $this->get_field_name('MTW_font_calltoaction'); ?>" id="<?php echo $this->get_field_id('MTW_font_calltoaction'); ?>">
<option value="inherit"<?php selected( $instance['MTW_font_calltoaction'], 'inherit' ); ?>>par d&eacute;faut</option>
<option value="Andale Mono, Times"<?php selected( $instance['MTW_font_calltoaction'], 'Andale Mono, Times' ); ?>>Andale Mono</option>
<option value="Arial, Helvetica, sans-serif"<?php selected( $instance['MTW_font_calltoaction'], 'Arial, Helvetica, sans-serif' ); ?>>Arial</option>
<option value="Arial Black, Avant Garde;"<?php selected( $instance['MTW_font_calltoaction'], 'Arial Black, Avant Garde;' ); ?>>Arial Black</option>
<option value="Book Antiqua, Palatino"<?php selected( $instance['MTW_font_calltoaction'], 'Book Antiqua, Palatino' ); ?>>Book Antiqua</option>
<option value="Comic Sans MS, sans-serif"<?php selected( $instance['MTW_font_calltoaction'], 'Comic Sans MS, sans-serif' ); ?>>Comic Sans MS</option>
<option value="Courier New, Courier"<?php selected( $instance['MTW_font_calltoaction'], 'Courier New, Courier' ); ?>>Courrier New</option>
<option value="Georgia, Palatino"<?php selected( $instance['MTW_font_calltoaction'], 'Georgia, Palatino' ); ?>>Georgia</option>
<option value="Helvetica"<?php selected( $instance['MTW_font_calltoaction'], 'Helvetica' ); ?>>Helvetica</option>
<option value="Impact, Chicago"<?php selected( $instance['MTW_font_calltoaction'], 'Impact, Chicago' ); ?>>Impact</option>
<option value="Tahoma, Arial, Helvetica, sans-serif"<?php selected( $instance['MTW_font_calltoaction'], 'Tahoma, Arial, Helvetica, sans-serif' ); ?>>Tahoma</option>
<option value="Times New Roman, Times"<?php selected( $instance['MTW_font_calltoaction'], 'Times New Roman, Times' ); ?>>Times New Roman</option>
<option value="Trebuchet MS, Geneva"<?php selected( $instance['MTW_font_calltoaction'], 'Trebuchet MS, Geneva' ); ?>>Trebuchet MS</option>
<option value="Verdana, Geneva"<?php selected( $instance['MTW_font_calltoaction'], 'Verdana, Geneva' ); ?>>Verdana</option>
</select>
</td>
</tr>
<tr>
<td>
<label for="<?php echo $this->get_field_id('MTW_taille_calltoaction'); ?>">
<?php _e(' Taille caract&egrave;res:', 'magictextwidget' ); ?></label>
</td>
<td>
<input name="<?php echo $this->get_field_name('MTW_taille_calltoaction');?>" type="number" step="1" id="<?php echo $this->get_field_id('MTW_taille_calltoaction'); ?>" value="<?php echo $instance['MTW_taille_calltoaction'];?>" class="small-text"> px
</td>
</tr>
<tr>
<td><label for="<?php echo $this->get_field_id('MTW_letterspacing_calltoaction'); ?>">
<?php _e(' Espacement car. :', 'magictextwidget' ); ?>
</label></td>
<td>
<input name="<?php echo $this->get_field_name('MTW_letterspacing_calltoaction');?>" type="number" step="1" id="<?php echo $this->get_field_id('MTW_letterspacing_calltoaction'); ?>" value="<?php echo $instance['MTW_letterspacing_calltoaction'];?>" class="small-text"> px
</td>
</tr>
<tr>
<td>
<label for = "<?php echo $this->get_field_id('MTW_graisse_calltoaction');?>">
<?php _e('Epaisseur:', 'magictextwidget' ); ?></label>
</td>
<td>
<select name="<?php echo $this->get_field_name('MTW_graisse_calltoaction'); ?>" id="<?php echo $this->get_field_id('MTW_graisse_calltoaction'); ?>">
<option value="normal"<?php selected(  $instance['MTW_graisse_calltoaction'], 'normal' ); ?>>Normal</option>
<option value="bold"<?php selected(  $instance['MTW_graisse_calltoaction'], 'bold' ); ?>>Gras</option>
</select>
</td>
</tr>
<tr>
<td>
<label for = "<?php echo $this->get_field_id('MTW_linetext_calltoaction');?>">
<?php _e(' Hauteur ligne:', 'magictextwidget' ); ?></label>
</td>
<td>
<input name="<?php echo $this->get_field_name('MTW_linetext_calltoaction');?>" type="number" step="1" id="<?php echo $this->get_field_id('MTW_linetext_calltoaction'); ?>" value="<?php echo $instance['MTW_linetext_calltoaction'];?>" class="small-text"> px
</td>
</tr>
</tbody>
</table>
<hr>
<hr>
<table style="text-align: left; width: 100%;" border="0" cellpadding="2" cellspacing="2">
<h3 style="color: #e85a05;"><?php _e('Param&egrave;tres du conteneur :', 'magictextwidget');?></h3>
<tbody>
<hr>
<span style="color: #e85a05;"><?php _e(' Dimensions : ', 'magictextwidget' ); ?></span>
<hr>
<tr>
<td style="vertical-align: middle; width: 33%; text-align: left;">
<label for = "<?php echo $this->get_field_id('MTW_total_width');?>">
<?php _e('Largeur Maximum :', 'magictextwidget' ); ?></label>
</td>
<td>
<input name="<?php echo $this->get_field_name('MTW_total_width');?>" type="number" step="1" min="150" id="<?php echo $this->get_field_id('MTW_total_width'); ?>" value="<?php echo $instance['MTW_total_width'];?>" class="small-text"> px
</td>
</tr>
<tr>
<td>
<label for = "<?php echo $this->get_field_id('MTW_height');?>"><?php _e('Hauteur : ', 'magictextwidget' ); ?>
</td>
<td>
<select name="<?php echo $this->get_field_name('MTW_height'); ?>" id="<?php echo $this->get_field_id('MTW_height'); ?>">
<option value="auto"<?php selected(  $instance['MTW_height'], 'auto' ); ?>>auto</option>
<option value="50px"<?php selected(  $instance['MTW_height'], '50px' ); ?>>50px</option>
<option value="100px"<?php selected(  $instance['MTW_height'], '100px' ); ?>>100px</option>
<option value="150px"<?php selected(  $instance['MTW_height'], '150px' ); ?>>150px</option>
<option value="200px"<?php selected(  $instance['MTW_height'], '200px' ); ?>>200px</option>
<option value="250px"<?php selected(  $instance['MTW_height'], '250px' ); ?>>250px</option>
<option value="300px"<?php selected(  $instance['MTW_height'], '300px' ); ?>>300px</option>
</select>
</label>
</td>
</tr>
</tbody>
</table>
<table style="text-align: left; width: 100%;" border="0" cellpadding="2" cellspacing="2">
<tbody>
<hr>
<span style="color: #e85a05;"><?php _e(' Couleur ou image de fond : ', 'magictextwidget' ); ?></span>
<hr>
<tr>
<td style="vertical-align: middle; width: 33%; text-align: left;">
<label for="<?php echo $this->get_field_id('MTW_hexa_fond'); ?>"><?php _e('Couleur de fond :', 'magictextwidget' ); ?></label>
</td>
<td>
<input type="text" id="<?php echo $this->get_field_id( 'MTW_hexa_fond' ); ?>" name="<?php echo $this->get_field_name( 'MTW_hexa_fond' ); ?>" class="wp-color-picker" value="<?php echo esc_attr( $instance['MTW_hexa_fond'] ); ?>" />
</td>
</tr>
<tr>
<td colspan="2" rowspan="1" >
<p><?php _e('Ou => utiliser une image pour le fond :', 'magictextwidget');?>
<label for="<?php echo $this->get_field_id('MTW_imagefondform'); ?>"></label>
<input type="text" placeholder="<?php _e(' URL image', 'magictextwidget' ); ?>" class="large-text img" name="<?php echo $this->get_field_name('MTW_imagefondform'); ?>"
id="<?php echo $this->get_field_id('MTW_imagefondform'); ?>" value="<?php echo $instance['MTW_imagefondform']; ?>" />
<input type="button" class="MTW_imagefondform-img" value="<?php _e('Cliquez pour ajouter une Image', 'magictextwidget' ); ?>" />
</p>
</td>
</tr>
</tbody>
</table>
<table style="text-align: left; width: 100%;" border="0" cellpadding="2" cellspacing="2">
<tbody>
<hr>
<span style="color: #e85a05;"><?php _e(' Style et couleurs des bords : ', 'magictextwidget' ); ?></span>
<hr>
<tr>
<td style="vertical-align: middle; width: 33%; text-align: left;">
<label for="<?php echo $this->get_field_id('MTW_hexa_bordercolor'); ?>"><?php _e('Couleur Bords :', 'magictextwidget' ); ?></label>
</td>
<td>
<input type="text" id="<?php echo $this->get_field_id( 'MTW_hexa_bordercolor' ); ?>" name="<?php echo $this->get_field_name( 'MTW_hexa_bordercolor' ); ?>" class="wp-color-picker" value="<?php echo esc_attr( $instance['MTW_hexa_bordercolor'] ); ?>" />
</td>
</tr>
<tr>
<td>
<label for = "<?php echo $this->get_field_id('MTW_border');?>">
<?php _e('Epaisseur : ', 'magictextwidget' ); ?></label>
</td>
<td>
<input name="<?php echo $this->get_field_name('MTW_border');?>" type="number" step="1" min="0" id="<?php echo $this->get_field_id('MTW_border'); ?>" value="<?php echo $instance['MTW_border'];?>" class="small-text"> px
</td>
</tr>
<tr>
<td>
<label for = "<?php echo $this->get_field_id('MTW_bordstyle');?>"><?php _e('Style : ', 'magictextwidget' ); ?></label>
</td>
<td>
<select name="<?php echo $this->get_field_name('MTW_bordstyle'); ?>" id="<?php echo $this->get_field_id('MTW_bordstyle'); ?>"> <option value="solid"<?php selected(  $instance[
'MTW_bordstyle'], 'solid' ); ?>>solide</option>
<option value="dotted"<?php selected(  $instance['MTW_bordstyle'], 'dotted' ); ?>>pointill&eacute;</option>
<option value="dashed"<?php selected(  $instance['MTW_bordstyle'], 'dashed' ); ?>>tirets</option>
<option value="double"<?php selected(  $instance['MTW_bordstyle'], 'double' ); ?>>double</option>
<option value="groove"<?php selected(  $instance['MTW_bordstyle'], 'groove' ); ?>>rainur&eacute;</option>
<option value="ridge"<?php selected(  $instance['MTW_bordstyle'], 'ridge' ); ?>>relief</option>
<option value="inset"<?php selected(  $instance['MTW_bordstyle'], 'inset' ); ?>>relief int&eacute;rieur</option>
<option value="outset"<?php selected(  $instance['MTW_bordstyle'], 'outset' ); ?>>relief ext&eacute;rieur</option>
</select>
</td>
</tr>
<tr>
<td>
<label for = "<?php echo $this->get_field_id('MTW_radius');?>">
<?php _e('Arrondi angles: ', 'magictextwidget' ); ?></label>
</td>
<td>
<input name="<?php echo $this->get_field_name('MTW_radius');?>" type="number" step="1" min="0" id="<?php echo $this->get_field_id('MTW_radius'); ?>" value="<?php echo $instance['MTW_radius'];?>" class="small-text"> px
</td>
</tr>
</tbody>
</table>
<table style="text-align: left; width: 100%;" border="0" cellpadding="2" cellspacing="2">
<tbody>
<hr>
<span style="color: #e85a05;"><?php _e(' Marges Int&eacute;rieures : ', 'magictextwidget' ); ?></span>
<hr>
<tr>
<td style="vertical-align: middle; width: 33%; text-align: left;">
<label for = "<?php echo $this->get_field_id('MTW_top_inner');?>">
<?php _e('en haut : ', 'magictextwidget' ); ?></label>
</td>
<td>
<input name="<?php echo $this->get_field_name('MTW_top_inner');?>" type="number" step="1" min="0" id="<?php echo $this->get_field_id('MTW_top_inner'); ?>" value="<?php echo $instance['MTW_top_inner'];?>" class="small-text"> px
</td>
</tr>
<tr>
<td>
<label for = "<?php echo $this->get_field_id('MTW_right_inner');?>">
<?php _e(' &agrave; droite :', 'magictextwidget' ); ?></label>
</td>
<td>
<input name="<?php echo $this->get_field_name('MTW_right_inner');?>" type="number" step="1" min="0" id="<?php echo $this->get_field_id('MTW_right_inner'); ?>" value="<?php echo $instance['MTW_right_inner'];?>"class="small-text"> px
</td>
</tr>
<tr>
<td>
<label for = "<?php echo $this->get_field_id('MTW_bottom_inner');?>">
<?php _e('en bas : ', 'magictextwidget' ); ?></label>
</td>
<td>
<input name="<?php echo $this->get_field_name('MTW_bottom_inner');?>" type="number" step="1" min="0" id="<?php echo $this->get_field_id('MTW_bottom_inner'); ?>" value="<?php echo $instance['MTW_bottom_inner'];?>" class="small-text"> px
</td>
</tr>
<tr>
<td>
<label for = "<?php echo $this->get_field_id('MTW_left_inner');?>">
<?php _e(' &agrave; gauche', 'magictextwidget' ); ?></label>
</td>
<td>
<input name="<?php echo $this->get_field_name('MTW_left_inner');?>" type="number" step="1" min="0" id="<?php echo $this->get_field_id('MTW_left_inner'); ?>" value="<?php echo $instance['MTW_left_inner'];?>" class="small-text"> px
</td>
</tr>
</tbody>
</table>
<table style="text-align: left; width: 100%;" border="0" cellpadding="2" cellspacing="2">
<tbody>
<hr>
<span style="color: #e85a05;"><?php _e(' Marges Ext&eacute;rieures : ', 'magictextwidget' ); ?></span>
<hr>
<tr>
<td style="vertical-align: middle; width: 33%; text-align: left;">
<label for = "<?php echo $this->get_field_id('MTW_top_margin');?>">
<?php _e('en haut : ', 'magictextwidget' ); ?></label>
</td>
<td>
<input name="<?php echo $this->get_field_name('MTW_top_margin');?>" type="number" step="1" min="0" id="<?php echo $this->get_field_id('MTW_top_margin'); ?>" value="<?php echo $instance['MTW_top_margin'];?>" class="small-text"> px
</td>
</tr>
<tr>
<td>
<label for = "<?php echo $this->get_field_id('MTW_bottom_margin');?>">
<?php _e('en bas : ', 'magictextwidget' ); ?></label>
</td>
<td>
<input name="<?php echo $this->get_field_name('MTW_bottom_margin');?>" type="number" step="1" min="0" id="<?php echo $this->get_field_id('MTW_bottom_margin'); ?>" value="<?php echo $instance['MTW_bottom_margin'];?>" class="small-text"> px
</td>
</tr>
</tbody>
</table>
<hr>
<?php
}
function MTW_google_widget_webfont(){
global $MTW_font_accroche;
$MTW_widget_settings = get_option($this->option_name);
foreach((array)$MTW_widget_settings as $instance => $options){
$id = "{$this->id_base}-{$instance}";
if(!is_active_widget(false, $id, $this->id_base)) continue;
if (!empty($options['MTW_accroche'])) {
if (($options['MTW_font_accroche']) && ($options['MTW_font_accroche'] != 'inherit'))  {
$MTW_wfont = str_replace( " ", "+", $options['MTW_font_accroche'] );
$MTW_cfont = str_replace( " ", "_", $options['MTW_font_accroche'] );
wp_register_style('mtw-font-titre-'.$MTW_cfont, 'http://fonts.googleapis.com/css?family='.$MTW_wfont);
wp_enqueue_style('mtw-font-titre-'.$MTW_cfont);
}}}}
}
add_action('widgets_init', create_function('', 'return register_widget("MagicTextWidget");'));
if (!function_exists('get_attachment_id_from_src')) {
function get_attachment_id_from_src ($image_src) {
global $wpdb;
$query = "SELECT ID FROM {$wpdb->posts} WHERE guid='$image_src'";
$id = $wpdb->get_var($query);
return $id;
}
}
?>